Cucumber setup problem in RM 2.0 beta

I downloaded the RubyMine 2.0 beta and am playing around with cucumber. I tried to set up a test project to learn cucumber, following the PragProg's Rspec book. When running the scenario in RM, I get:


Cucumber::Ast::Visitor is deprecated and will be removed. You no longer need to inherit from this class.
Error creating formatter: Teamcity::Cucumber::Formatter (RuntimeError)


I can run it in from the shell with no problem, getting expected results.

Mac OS X 10.6.1, MBP 17, 4GB, Locally compiled Ruby 1.8.7 installed in /usr/local/bin, along with gem and friends. Cucumber 0.3.103, rspec 1.2.8

5 comments
Comment actions Permalink

Hi Scott,

Thanks for the issue. Actually cucumber team completely changed cucumber internal API 4 days ago.

== 0.3.103 2009-09-24
...
=== Changed Features
* The Formatter API has completely changed. Formatters are no longer a double-dispacth visitor - just a single-dispatch listener (#438 Matt Wynne)

We will add support for latest cucumber version in next RubyMine 2.0 beta build. And now I can only recommend you to downgrade your cucumber gem to 0.3.95.

0
Comment actions Permalink

That was it--thanks!

0
Comment actions Permalink

Unfortunatelly, cucumber 3.104 is required, downgrade breaks other things ;-(

0
Comment actions Permalink

Rafael,

We've already add support for new Cucumber API in RM trunk. And it will be available soon in next public build. At current moment you can ask RM to use "pretty" console formatter in run configurations options. Also you can save "-f pretty" to Cucumber run configurations defaults and the option will be added automatically for all new Cucumber run configurations

0
Comment actions Permalink

cool thnx a lot!

0

Please sign in to leave a comment.